Aumo Docs
Ingestãoorg/{org_id}connectors/oauth{provider}

start

POST /api/v1/org/{org_id}/connectors/oauth/{provider}/start

POST
/api/v1/org/{org_id}/connectors/oauth/{provider}/start

Authorization

BearerAuth
AuthorizationBearer <token>

Token de usuário, Personal Access Token (aumo_pat_...) ou chave de projeto (aumo_pk_...).

In: header

Path Parameters

org_id*Org Id
provider*Provider

Header Parameters

X-Correlation-ID?string

Identificador para rastrear a requisição. Gerado pelo gateway quando omitido.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/org/string/connectors/oauth/string/start" \  -H "Content-Type: application/json" \  -d '{    "credential_name": "string"  }'
{}